Name: lxqt-build-tools
Version: 0.4.0
Release: %mkrel 1
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Summary: Build tools for the LXQt desktop
URL: http://lxqt.org/
License:  BSD-3-Clause
Group: Graphical desktop/LXQT
#--------------------------------------------
BuildRequires:  cmake
BuildRequires:  %{_lib}qt5core-devel
#To get build without any issues the LXQt Desktop
Requires:	%{_lib}qtxdg-devel
#--------------------------------------------

%description
These tools used to be spread over the repositories of various 
other components and were summarized to ease dependency management. 
So far many components, in particular [liblxqt]
(https://github.com/lxde/liblxqt), were representing a build 
dependency without being needed themselves but only because their 
repository was providing a subset of the tools which are now 
summarized here. So the use of this repository will reduce 
superfluous and bloated dependencies.

%prep
%setup -q %{name}-%{version}

%cmake_qt5


%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build

%files
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindFm.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindGLIB.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindMenuCache.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindUDev.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindXCB.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindXdgUserDirs.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindExif.cmake
%{_datadir}/cmake/lxqt-build-tools/lxqt-build-tools-config-version.cmake
%{_datadir}/cmake/lxqt-build-tools/lxqt-build-tools-config.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtAppTranslationLoader.cpp.in
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtCompilerSettings.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtConfigVars.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtCreatePkgConfigFile.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtCreatePortableHeaders.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtLibTranslationLoader.cpp.in
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtPluginTranslationLoader.cpp.in
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtTranslate.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtTranslateDesktop.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtTranslateTs.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtTranslationLoader.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/Qt5PatchedLinguistToolsMacros.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/Qt5TranslationLoader.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/Qt5TranslationLoader.cpp.in



%changelog
* Thu Oct 10 2017 daniel <meisssw01 at gmail.com> 0.4.0-1pclos2017
- update

* Mon Apr 10 2017 ghostbunny <ghostbunny at gmx dot de> 0.3.2-1pclos2017
- 0.3.2

* Mon Jan 02 2017 daniel <meisssw01 at gmail.com> 0.3.1-1pclos2017
- update

* Tue Dec 13 2016 daniel <meisssw01 at gmail.com> 0.3.0-1pclos2017
- import to pclinuxos
